<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CloseFile Method (IEdmEnumeratorVariable8)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable8 Interface : CloseFile Method (IEdmEnumeratorVariable8)

Visual Basic
C#
C++/CLI

bFlush
  True to call IEdmEnumeratorVariable5::Flush before closing the file, false to not

Closes the file that is open for access by this interface.

# Syntax

Visual Basic |
--- | ---

    Sub CloseFile( _
       ByVal bFlush As System.Boolean _
    )

C# |
--- | ---

    void CloseFile(
       System.bool bFlush
    )

C++/CLI |
--- | ---

    void CloseFile(
    &   System.bool bFlush
    )

#### Parameters

bFlush
  True to call IEdmEnumeratorVariable5::Flush before closing the file, false to not

# Example

Set Part Number Using Default Serial Numbers (C#)
Set Part Number Using Default Serial Numbers (VB.NET)

# Remarks

After closing the file using this method, none of the other methods in this interface work.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmEnumeratorVariable8 Interface
IEdmEnumeratorVariable8 Members

# Availability

SOLIDWORKS PDM Professional 2008